---
page_title: "authentik_flow Resource - terraform-provider-authentik"
subcategory: "Flows & Stages"
description: |-
---
# authentik_flow (Resource)

## Example Usage

```terraform
# Create a flow with a stage attached

resource "authentik_stage_dummy" "name" {
  name = "test-stage"
}

resource "authentik_flow" "flow" {
  name        = "test-flow"
  title       = "Test flow"
  slug        = "test-flow"
  designation = "authorization"
}

resource "authentik_flow_stage_binding" "dummy-flow" {
  target = authentik_flow.flow.uuid
  stage  = authentik_stage_dummy.name.id
  order  = 0
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **designation** (String)
- **name** (String)
- **slug** (String)
- **title** (String)

### Optional

- **compatibility_mode** (Boolean) Defaults to `true`.
- **id** (String) The ID of this resource.
- **policy_engine_mode** (String) Defaults to `any`.

### Read-Only

- **uuid** (String)
