---
page_title: "authentik_policy_binding Resource - terraform-provider-authentik"
subcategory: "Policies"
description: |-
---

# authentik_policy_binding (Resource)

## Example Usage

```terraform
# Create a policy binding for a resource

resource "authentik_policy_expression" "policy" {
  name       = "example"
  expression = "return True"
}

resource "authentik_application" "name" {
  name = "test app"
  slug = "test-app"
}

resource "authentik_policy_binding" "app-access" {
  target = authentik_application.name.id
  policy = authentik_policy_expression.policy.id
  order  = 0
}

# Create a binding to a group

data "authentik_group" "admins" {
  name = "authentik Admins"
}

resource "authentik_application" "name" {
  name = "test app"
  slug = "test-app"
}

resource "authentik_policy_binding" "app-access" {
  target = authentik_application.name.id
  group  = data.authentik_group.admins.id
  order  = 0
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **order** (Number)
- **target** (String) ID of the object this binding should apply to

### Optional

- **enabled** (Boolean) Defaults to `true`.
- **group** (String) UUID of the group
- **id** (String) The ID of this resource.
- **negate** (Boolean) Defaults to `false`.
- **policy** (String) UUID of the policy
- **timeout** (Number) Defaults to `30`.
- **user** (Number) PK of the user
